Page MenuHomePhabricator

AbuseFilter mobile app edits not flagged as mobile edits
Closed, ResolvedPublic

Description

Note: Appears to be unrelated to T122639

This may be intended functionality, but to me it seems any kind of mobile edit, via the app or mobile web, should set the user_mobile variable. Or perhaps we could introduce a different variable for edits made via the app. Right now the lack of this functionality is causing a lot of false positives on one filter I'm working on.

Example:

Details

Related Gerrit Patches:
mediawiki/extensions/MobileApp : masterAdd user_app variable for AbuseFilter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2017, 1:53 AM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 19 2017, 1:12 AM

Change 446052 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/MobileApp@master] Add user_app variable for AbuseFilter

https://gerrit.wikimedia.org/r/446052

Daimona claimed this task.Jul 16 2018, 3:33 PM

Change 446052 merged by jenkins-bot:
[mediawiki/extensions/MobileApp@master] Add user_app variable for AbuseFilter

https://gerrit.wikimedia.org/r/446052

Daimona closed this task as Resolved.Jul 18 2018, 6:17 PM
Daimona removed a project: Patch-For-Review.